#ifndef _ERROR_H
#define _ERROR_H

/* Errno for tinyproxy functions */
extern int tinyerr;

/* Define the tinyproxy error numbers */
#define ERR_BASE       0
#define ERR_INVALID    (ERR_BASE + 1)
#define ERR_NOMEM      (ERR_BASE + 2)
#define ERR_CONNCLOSED (ERR_BASE + 3)
#define ERR_RETRY      (ERR_BASE + 4)
#define ERR_CONNERR    (ERR_BASE + 5)
#define ERR_REQERR     (ERR_BASE + 6)
#define ERR_LOADING    (ERR_BASE + 7)
#define ERR_WOULDBLOCK (ERR_BASE + 8)

#endif
